[arch-commits] Commit in (gdisk gdisk/repos gdisk/trunk gdisk/trunk/PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Sat Mar 13 14:02:43 EST 2010


    Date: Saturday, March 13, 2010 @ 14:02:42
  Author: tpowa
Revision: 72183

add new BUID (gpt) command line tool for gpt partition table

Added:
  gdisk/
  gdisk/repos/
  gdisk/trunk/
  gdisk/trunk/PKGBUILD

----------+
 PKGBUILD |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

Added: gdisk/trunk/PKGBUILD
===================================================================
--- gdisk/trunk/PKGBUILD	                        (rev 0)
+++ gdisk/trunk/PKGBUILD	2010-03-13 19:02:42 UTC (rev 72183)
@@ -0,0 +1,26 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org
+# Contributor: Hokum <hokum_at_mail_dot_ru>
+pkgname=gdisk
+pkgver=0.6.5
+pkgrel=1
+pkgdesc="A text-mode partitioning tool that works on Globally Unique Identifier (GUID) Partition Table (GPT) disks."
+arch=('i686' 'x86_64')
+url="http://www.rodsbooks.com/gdisk"
+depends=('gcc-libs' 'util-linux-ng' 'popt')
+license=('GPL2')
+source=(http://www.rodsbooks.com/gdisk/gdisk-$pkgver.tgz)
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  make || return 1
+  install -D -m755 gdisk $pkgdir/sbin/gdisk
+  install -D -m755 sgdisk $pkgdir/sbin/sgdisk
+  install -D -m644 gdisk.8 $pkgdir/usr/share/man/man8
+  install -D -m644 sgdisk.8 $pkgdir/usr/share/man/man8
+  install -D -m644 gdisk.html $pkgdir/usr/share/gdisk
+  install -D -m644 sgdisk.html $pkgdir/usr/share/gdisk
+  install -D -m644 README $pkgdir/usr/share/gdisk
+  install -D -m644 CHANGELOG $pkgdir/usr/share/gdisk
+}
+md5sums=('75110b32e1ed27b0fcac6f0d89feae57')


Property changes on: gdisk/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list